summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-cluster/util-vserver/util-vserver-0.30.213_rc5.ebuild')
-rw-r--r--sys-cluster/util-vserver/util-vserver-0.30.213_rc5.ebuild17
1 files changed, 4 insertions, 13 deletions
diff --git a/sys-cluster/util-vserver/util-vserver-0.30.213_rc5.ebuild b/sys-cluster/util-vserver/util-vserver-0.30.213_rc5.ebuild
index 658eb30..ce3e555 100644
--- a/sys-cluster/util-vserver/util-vserver-0.30.213_rc5.ebuild
+++ b/sys-cluster/util-vserver/util-vserver-0.30.213_rc5.ebuild
@@ -45,8 +45,8 @@ pkg_setup() {
src_compile() {
econf --with-vrootdir=${VDIRBASE} \
- --localstatedir=/var \
- --with-initrddir=/etc/init.d || die "econf failed!"
+ --with-initscripts=gentoo \
+ --localstatedir=/var || die "econf failed!"
emake || die "emake failed!"
}
@@ -54,11 +54,6 @@ src_install() {
make DESTDIR="${D}" install install-distribution \
|| die "make install failed!"
- # create the /sbin/vshelper symlink so we don't have to mess around with
- # (a) echoing stuff to /etc/sysctl.conf
- # (b) changing the default vshelper in the kernel sources.
- dosym /usr/lib/util-vserver/vshelper /sbin/vshelper
-
# keep dirs
keepdir /var/run/vservers
keepdir /var/run/vservers.rev
@@ -71,14 +66,10 @@ src_install() {
rm -f "${D}"/etc/vservers.conf
# remove the non-gentoo init-scripts:
- rm -f "${D}"/etc/init.d/*
-
- # and install gentoo'ized ones:
- doinitd "${FILESDIR}"/init.d/vservers.default
- doinitd "${FILESDIR}"/init.d/vprocunhide
+ #rm -f "${D}"/etc/init.d/*
# bash-completion
-# dobashcompletion "${FILESDIR}"/bash_completion util-vserver
+ dobashcompletion "${FILESDIR}"/bash_completion util-vserver
dodoc README ChangeLog NEWS AUTHORS THANKS util-vserver.spec
}